/****************************************************************************
**
** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
** All rights reserved.
** Contact: Nokia Corporation (qt-info@nokia.com)
**
** This file is part of the Qt Mobility Components.
**
** $QT_BEGIN_LICENSE:LGPL$
** No Commercial Usage
** This file contains pre-release code and may not be distributed.
** You may use this file in accordance with the terms and conditions
** contained in the Technology Preview License Agreement accompanying
** this package.
**
** GNU Lesser General Public License Usage
** Alternatively, this file may be used under the terms of the GNU Lesser
** General Public License version 2.1 as published by the Free Software
** Foundation and appearing in the file LICENSE.LGPL included in the
** packaging of this file.  Please review the following information to
** ensure the GNU Lesser General Public License version 2.1 requirements
** will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
**
** In addition, as a special exception, Nokia gives you certain additional
** rights.  These rights are described in the Nokia Qt LGPL Exception
** version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
**
** If you have questions regarding the use of this file, please contact
** Nokia at qt-info@nokia.com.
**
**
**
**
**
**
**
**
** $QT_END_LICENSE$
**
****************************************************************************/

#ifndef QLLCPSERVER_H
#define QLLCPSERVER_H

#include <qmobilityglobal.h>

#include <qllcpsocket.h>

#include <QtCore/QObject>

QT_BEGIN_HEADER

QTM_BEGIN_NAMESPACE

class QLlcpServerPrivate;

class Q_CONNECTIVITY_EXPORT QLlcpServer : public QObject
{
    Q_OBJECT
    Q_DECLARE_PRIVATE(QLlcpServer)

public:
    explicit QLlcpServer(QObject *parent = 0);
    virtual ~QLlcpServer();

    bool listen(const QString &serviceUri);
    bool isListening() const;

    void close();

    QString serviceUri() const;
    quint8 serverPort() const;

    virtual bool hasPendingConnections() const;
    virtual QLlcpSocket *nextPendingConnection();

    QLlcpSocket::SocketError serverError() const;

Q_SIGNALS:
    void newConnection();

private:
    QLlcpServerPrivate *d_ptr;
};

QTM_END_NAMESPACE

QT_END_HEADER

#endif // QLLCPSERVER_H
