/****************************************************************************
**
** Copyright (C) 2009 Nokia Corporation and/or its subsidiary(-ies).
** All rights reserved.
** Contact: Nokia Corporation (qt-info@nokia.com)
**
** This file is part of the Qt Mobility Components.
**
** $QT_BEGIN_LICENSE:LGPL$
** No Commercial Usage
** This file contains pre-release code and may not be distributed.
** You may use this file in accordance with the terms and conditions
** contained in the Technology Preview License Agreement accompanying
** this package.
**
** GNU Lesser General Public License Usage
** Alternatively, this file may be used under the terms of the GNU Lesser
** General Public License version 2.1 as published by the Free Software
** Foundation and appearing in the file LICENSE.LGPL included in the
** packaging of this file.  Please review the following information to
** ensure the GNU Lesser General Public License version 2.1 requirements
** will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
**
** In addition, as a special exception, Nokia gives you certain additional
** rights.  These rights are described in the Nokia Qt LGPL Exception
** version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
**
** If you have questions regarding the use of this file, please contact
** Nokia at qt-info@nokia.com.
**
**
**
**
**
**
**
**
** $QT_END_LICENSE$
**
****************************************************************************/

#ifndef QLANDMARKSORTORDER_H
#define QLANDMARKSORTORDER_H

#include "qmobilityglobal.h"
#include "qnamespace.h"

#include <QSharedDataPointer>
#include <QList>

QT_BEGIN_HEADER

QTM_BEGIN_NAMESPACE

#define Q_DECLARE_LANDMARKSORTORDER_PRIVATE(Class) \
    inline Class##Private* d_func(); \
    inline const Class##Private* d_func() const; \
    friend class Class##Private;

class QLandmarkId;
class QLandmark;

class QLandmarkSortOrderPrivate;
class Q_LOCATION_EXPORT QLandmarkSortOrder
{

friend class QLandmarkSortOrderPrivate;

public:
    enum SortType {NoSort, NameSort};

    QLandmarkSortOrder();
    QLandmarkSortOrder(const QLandmarkSortOrder &other);
    QLandmarkSortOrder& operator = (const QLandmarkSortOrder &other);
    virtual ~QLandmarkSortOrder();

    SortType type() const;
    Qt::SortOrder direction() const;
    void setDirection(Qt::SortOrder direction);

    bool operator==(const QLandmarkSortOrder &other) const;
    bool operator!=(const QLandmarkSortOrder &other) const {
        return !(*this == other);
    }
protected:
    QLandmarkSortOrder(QLandmarkSortOrderPrivate *dd);
    QSharedDataPointer<QLandmarkSortOrderPrivate> d_ptr;
};

QTM_END_NAMESPACE

QT_END_HEADER

#endif
